DCMTK - Bug #1022

Chocolatey installer for DCMTK does not support clean upgrade
2022-05-10 09:33 - Marco Eichelberg

Status: Closed Start date: 2022-05-10
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.8

Module: Compiler:

Operating System: Windows

Description

The chocolatey installer for DCMTK supports installation and deinstallation of DCMTK. However, when "choco upgrade” is run, the
new version of the toolkit is installed, but the old binaries are not deleted, causing "Shimgen" to first create Shims for the old version,
and then to overwrite these with Shims pointing to the new version.

The upgrade operation should remove the old binaries before installing the new ones.

History

#1 - 2022-07-13 11:54 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Submitted a new Chocolatey package 3.6.7.1 on 2022-07-13 that should fix this problem.
Whether it works as expected can only seen when we publish a new DCMTK version, so that a proper "choco upgrade" to new binaries becomes
possible.
